Bug 1290983 - Kernel only wakes 1 CPU Core, the other remain sleeping!
Kernel only wakes 1 CPU Core, the other remain sleeping!
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 07:19 EST by Ali Akcaagac
Modified: 2016-07-19 14:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpuinfo (978 bytes, text/plain)
2016-01-31 10:32 EST, Ali Akcaagac
no flags Details
journalctl (12.77 KB, text/plain)
2016-01-31 10:35 EST, Ali Akcaagac
no flags Details

  None (edit)
Description Ali Akcaagac 2015-12-12 07:19:11 EST
Aa far as I remember, I am getting the above (Summary) error message when I boot up my machine. This time I wanted to capture the output and report it here as an "error". Is there any reason why I am receiving this and does it have any negative effects on normal operation ?



[    3.338039] Failed to find cpu0 device node



However, it would be nice to have this one solved properly. My System is a LENOVO 12972UG/12972UG with E-450 APU. If you need more information, please let me know.

Linux localhost.localdomain 4.2.7-200.fc22.i686 #1 SMP Thu Dec 10 04:02:32 UTC 2015 i686 i686 i386 GNU/Linux
Comment 1 Ali Akcaagac 2016-01-31 10:32:12 EST
I wanted to come back to this issue here.

Every now and then I encounter heavy "sluggishness" of the behaviour of my notebook and today this happened again.

After some investgation I figured out that the Linux Kernel isn't able to wake up both CPUs correctly.

The E-450 CPU from AMD is a dual core cpu running 2 cores at 1.66ghz each. The whole day it seems that my system only ran on one core because the other one couldn't be woken up.

After some log investgation as well as running nmon shows only one core running.

I would consider this quite *critical* now.

Kernel 4.3.4-200

Please have a look at the attachments
Comment 2 Ali Akcaagac 2016-01-31 10:32 EST
Created attachment 1119912 [details]
cpuinfo
Comment 3 Ali Akcaagac 2016-01-31 10:35 EST
Created attachment 1119913 [details]
journalctl

The journal was grepped for "cpu" and this is the output. As I was able to figure out, the CPU cores got initialized correctly on the 29th and 30rd of january. Today 31rd of january, Linux only woke up one core - presenting me with total sluggishness.

Expected solution would be that Linux wakes up all cores correctly (or none). But not half of it.
Comment 4 Ali Akcaagac 2016-01-31 10:39:31 EST
Jan 29 09:51:20 localhost.localdomain kernel: Initializing CPU#1
Jan 29 09:51:20 localhost.localdomain kernel: x86: Booted up 1 node, 2 CPUs
> core woke up correctly

Jan 30 10:54:41 localhost.localdomain kernel: Initializing CPU#1
Jan 30 10:54:41 localhost.localdomain kernel: x86: Booted up 1 node, 2 CPUs
> core woke up correctly

Jan 31 09:53:33 localhost.localdomain kernel: smpboot: do_boot_cpu failed(-1) to wakeup CPU#1
Jan 31 09:53:33 localhost.localdomain kernel: x86: Booted up 1 node, 1 CPUs
> core failed!
Comment 5 Fedora End Of Life 2016-07-19 14:35:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.